# DataTableViewportLayer (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableViewportLayer

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform
    - - org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer
      - - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableViewportLayer

- All Implemented Interfaces:
    org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer, org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      public class DataTableViewportLayer
      extends org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

      `underlyingLayer`

    - ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `layerPainter`

    - ### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      `DOT, VALUE_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableViewportLayer(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingLayer, DataTableContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `doCommand(org.eclipse.nebula.widgets.nattable.command.ILayerCommand command)`
    `protected boolean` | `isLastColumnCompletelyDisplayed()`
    `protected boolean` | `isLastRowCompletelyDisplayed()`
    `void` | `moveCellPositionIntoViewport(int scrollableColumnPosition, int scrollableRowPosition)`
    `void` | `moveColumnPositionIntoViewport(int scrollableColumnPosition)`
    `void` | `moveRowPositionIntoViewport(int scrollableRowPosition)`
    `protected void` | `registerCommandHandlers()`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer

      `adjustOriginX, adjustOriginY, dispose, drag, fireScrollEvent, getBoundsByPosition, getClientAreaHeight, getClientAreaWidth, getColumnCount, getColumnPositionByIndex, getColumnPositionByX, getColumnWidthByPosition, getHeight, getMaxColumnPosition, getMaxHeight, getMaxRowPosition, getMaxWidth, getMinColumnPosition, getMinHorizontalStart, getMinimumOrigin, getMinimumOriginColumnPosition, getMinimumOriginRowPosition, getMinRowPosition, getMinVerticalStart, getOrigin, getRowCount, getRowHeightByPosition, getRowPositionByIndex, getRowPositionByY, getScrollableLayer, getStartXOfColumnPosition, getStartYOfRowPosition, getWidth, handleGridResize, handleLayerEvent, invalidateHorizontalStructure, invalidateVerticalStructure, isColumnPositionResizable, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, recalculateAvailableHeightAndRowCount, recalculateAvailableWidthAndColumnCount, recalculateScrollBars, resetOrigin, scrollVerticallyByAPage, scrollVerticallyByAPageCommand, setHorizontalScrollbarEnabled, setHorizontalScroller, setMaxColumnPosition, setMaxRowPosition, setMinColumnPosition, setMinimumOrigin, setMinimumOriginX, setMinimumOriginY, setMinRowPosition, setOriginX, setOriginY, setVerticalScrollbarEnabled, setVerticalScroller, toString, underlyingToLocalColumnPosition, underlyingToLocalRowPosition`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

      `configure, getCellByPosition, getCellPainter, getColumnIndexByPosition, getConfigLabelsByPosition, getDataValueByPosition, getDisplayModeByPosition, getLayerPainter, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowIndexByPosition, getUnderlyingLayer, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, isRowPositionResizable, loadState, saveState, setClientAreaProvider, setUnderlyingLayer, underlyingToLocalColumnPositions, underlyingToLocalRowPositions`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getClientAreaProvider, getConfigLabelAccumulator, getRegionName, hasLayerListener, registerCommandHandler, registerEventHandler, registerPersistable, removeLayerListener, setConfigLabelAccumulator, setLayerPainter, setRegionName, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.nebula.widgets.nattable.layer.ILayer

      `addLayerListener, configure, fireLayerEvent, getCellByPosition, getCellPainter, getClientAreaProvider, getColumnIndexByPosition, getConfigLabelsByPosition, getDataValueByPosition, getDisplayModeByPosition, getLayerPainter, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowIndexByPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, hasLayerListener, isRowPositionResizable, registerCommandHandler, registerPersistable, removeLayerListener, setClientAreaProvider, underlyingToLocalColumnPositions, underlyingToLocalRowPositions, unregisterCommandHandler, unregisterPersistable`

    - ### Methods inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      `loadState, saveState`

- - ### Constructor Detail

    - #### DataTableViewportLayer

          public DataTableViewportLayer(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingLayer,
                                DataTableContext context)

      Parameters:
        `underlyingLayer` -
        `context` -

  - ### Method Detail

    - #### doCommand

          public boolean doCommand(org.eclipse.nebula.widgets.nattable.command.ILayerCommand command)

      Specified by:
        `doCommand` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
      Overrides:
        `doCommand` in class `org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer`

    - #### moveCellPositionIntoViewport

          public void moveCellPositionIntoViewport(int scrollableColumnPosition,
                                          int scrollableRowPosition)

      Overrides:
        `moveCellPositionIntoViewport` in class `org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer`

    - #### moveColumnPositionIntoViewport

          public void moveColumnPositionIntoViewport(int scrollableColumnPosition)

      Overrides:
        `moveColumnPositionIntoViewport` in class `org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer`

    - #### moveRowPositionIntoViewport

          public void moveRowPositionIntoViewport(int scrollableRowPosition)

      Overrides:
        `moveRowPositionIntoViewport` in class `org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer`

    - #### isLastColumnCompletelyDisplayed

          protected boolean isLastColumnCompletelyDisplayed()

      Overrides:
        `isLastColumnCompletelyDisplayed` in class `org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer`

    - #### isLastRowCompletelyDisplayed

          protected boolean isLastRowCompletelyDisplayed()

      Overrides:
        `isLastRowCompletelyDisplayed` in class `org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer`

    - #### registerCommandHandlers

          protected void registerCommandHandlers()

      Overrides:
        `registerCommandHandlers` in class `org.eclipse.nebula.widgets.nattable.viewport.ViewportLayer`